# CMake generated Testfile for 
# Source directory: /Users/h/sdk-folder/sdk-source/avs-device-sdk/ACL/test
# Build directory: /Users/h/sdk-folder/sdk-build/ACL/test
# 
# This file includes the relevant testing commands required for 
# testing this directory and lists subdirectories to be tested as well.
add_test(AVSConnectionManagerTest.createTest "/Users/h/sdk-folder/sdk-build/ACL/test/AVSConnectionManagerTest" "--gtest_filter=AVSConnectionManagerTest.createTest")
add_test(AVSConnectionManagerTest.createWithNullMessageRouterAndObservers "/Users/h/sdk-folder/sdk-build/ACL/test/AVSConnectionManagerTest" "--gtest_filter=AVSConnectionManagerTest.createWithNullMessageRouterAndObservers")
add_test(AVSConnectionManagerTest.addConnectionStatusObserverNull "/Users/h/sdk-folder/sdk-build/ACL/test/AVSConnectionManagerTest" "--gtest_filter=AVSConnectionManagerTest.addConnectionStatusObserverNull")
add_test(AVSConnectionManagerTest.addConnectionStatusObserverValid "/Users/h/sdk-folder/sdk-build/ACL/test/AVSConnectionManagerTest" "--gtest_filter=AVSConnectionManagerTest.addConnectionStatusObserverValid")
add_test(AVSConnectionManagerTest.removeConnectionStatusObserverNull "/Users/h/sdk-folder/sdk-build/ACL/test/AVSConnectionManagerTest" "--gtest_filter=AVSConnectionManagerTest.removeConnectionStatusObserverNull")
add_test(AVSConnectionManagerTest.addMessageObserverNull "/Users/h/sdk-folder/sdk-build/ACL/test/AVSConnectionManagerTest" "--gtest_filter=AVSConnectionManagerTest.addMessageObserverNull")
add_test(AVSConnectionManagerTest.removeMessageObserverNull "/Users/h/sdk-folder/sdk-build/ACL/test/AVSConnectionManagerTest" "--gtest_filter=AVSConnectionManagerTest.removeMessageObserverNull")
add_test(AVSConnectionManagerTest.enableAndDisableFunction "/Users/h/sdk-folder/sdk-build/ACL/test/AVSConnectionManagerTest" "--gtest_filter=AVSConnectionManagerTest.enableAndDisableFunction")
add_test(AVSConnectionManagerTest.sendMessageRequestTest "/Users/h/sdk-folder/sdk-build/ACL/test/AVSConnectionManagerTest" "--gtest_filter=AVSConnectionManagerTest.sendMessageRequestTest")
add_test(AVSConnectionManagerTest.setAVSEndpointTest "/Users/h/sdk-folder/sdk-build/ACL/test/AVSConnectionManagerTest" "--gtest_filter=AVSConnectionManagerTest.setAVSEndpointTest")
add_test(HTTP2StreamPoolTest.GetStreamSendNullPtrForMoreThanMaxStreams "/Users/h/sdk-folder/sdk-build/ACL/test/HTTP2StreamPoolTest" "--gtest_filter=HTTP2StreamPoolTest.GetStreamSendNullPtrForMoreThanMaxStreams")
add_test(HTTP2StreamPoolTest.initGetFails "/Users/h/sdk-folder/sdk-build/ACL/test/HTTP2StreamPoolTest" "--gtest_filter=HTTP2StreamPoolTest.initGetFails")
add_test(HTTP2StreamPoolTest.initPostFails "/Users/h/sdk-folder/sdk-build/ACL/test/HTTP2StreamPoolTest" "--gtest_filter=HTTP2StreamPoolTest.initPostFails")
add_test(HTTP2StreamPoolTest.PostStreamSendNullPtrForMoreThanMaxStreams "/Users/h/sdk-folder/sdk-build/ACL/test/HTTP2StreamPoolTest" "--gtest_filter=HTTP2StreamPoolTest.PostStreamSendNullPtrForMoreThanMaxStreams")
add_test(HTTP2StreamPoolTest.ReleaseStreamTestSendMoreThanMaxStreams "/Users/h/sdk-folder/sdk-build/ACL/test/HTTP2StreamPoolTest" "--gtest_filter=HTTP2StreamPoolTest.ReleaseStreamTestSendMoreThanMaxStreams")
add_test(HTTP2StreamPoolTest.ReleaseStreamTestAfterNullTest "/Users/h/sdk-folder/sdk-build/ACL/test/HTTP2StreamPoolTest" "--gtest_filter=HTTP2StreamPoolTest.ReleaseStreamTestAfterNullTest")
add_test(HTTP2StreamTest.testExceptionReceivedSingleWrite "/Users/h/sdk-folder/sdk-build/ACL/test/HTTP2StreamTest" "--gtest_filter=HTTP2StreamTest.testExceptionReceivedSingleWrite")
add_test(HTTP2StreamTest.testExceptionReceivedMultiWrite "/Users/h/sdk-folder/sdk-build/ACL/test/HTTP2StreamTest" "--gtest_filter=HTTP2StreamTest.testExceptionReceivedMultiWrite")
add_test(HTTP2StreamTest.testHeaderCallback "/Users/h/sdk-folder/sdk-build/ACL/test/HTTP2StreamTest" "--gtest_filter=HTTP2StreamTest.testHeaderCallback")
add_test(HTTP2StreamTest.testReadCallBack "/Users/h/sdk-folder/sdk-build/ACL/test/HTTP2StreamTest" "--gtest_filter=HTTP2StreamTest.testReadCallBack")
add_test(MessageRouterTest.getConnectionStatusReturnsDisconnectedBeforeConnect "/Users/h/sdk-folder/sdk-build/ACL/test/MessageRouterTest" "--gtest_filter=MessageRouterTest.getConnectionStatusReturnsDisconnectedBeforeConnect")
add_test(MessageRouterTest.getConnectionStatusReturnsPendingAfterConnectingStarts "/Users/h/sdk-folder/sdk-build/ACL/test/MessageRouterTest" "--gtest_filter=MessageRouterTest.getConnectionStatusReturnsPendingAfterConnectingStarts")
add_test(MessageRouterTest.getConnectionStatusReturnsConnectedAfterConnectionEstablished "/Users/h/sdk-folder/sdk-build/ACL/test/MessageRouterTest" "--gtest_filter=MessageRouterTest.getConnectionStatusReturnsConnectedAfterConnectionEstablished")
add_test(MessageRouterTest.getConnectionStatusReturnsConnectedAfterDisconnected "/Users/h/sdk-folder/sdk-build/ACL/test/MessageRouterTest" "--gtest_filter=MessageRouterTest.getConnectionStatusReturnsConnectedAfterDisconnected")
add_test(MessageRouterTest.ensureTheMessageRouterObserverIsInformedOfConnectionPendingAfterConnect "/Users/h/sdk-folder/sdk-build/ACL/test/MessageRouterTest" "--gtest_filter=MessageRouterTest.ensureTheMessageRouterObserverIsInformedOfConnectionPendingAfterConnect")
add_test(MessageRouterTest.ensureTheMessageRouterObserverIsInformedOfNewConnection "/Users/h/sdk-folder/sdk-build/ACL/test/MessageRouterTest" "--gtest_filter=MessageRouterTest.ensureTheMessageRouterObserverIsInformedOfNewConnection")
add_test(MessageRouterTest.ensureTheMessageRouterObserverIsInformedOfTransportDisconnection "/Users/h/sdk-folder/sdk-build/ACL/test/MessageRouterTest" "--gtest_filter=MessageRouterTest.ensureTheMessageRouterObserverIsInformedOfTransportDisconnection")
add_test(MessageRouterTest.ensureTheMessageRouterObserverIsInformedOfRouterDisconnection "/Users/h/sdk-folder/sdk-build/ACL/test/MessageRouterTest" "--gtest_filter=MessageRouterTest.ensureTheMessageRouterObserverIsInformedOfRouterDisconnection")
add_test(MessageRouterTest.sendIsSuccessfulWhenConnected "/Users/h/sdk-folder/sdk-build/ACL/test/MessageRouterTest" "--gtest_filter=MessageRouterTest.sendIsSuccessfulWhenConnected")
add_test(MessageRouterTest.sendFailsWhenDisconnected "/Users/h/sdk-folder/sdk-build/ACL/test/MessageRouterTest" "--gtest_filter=MessageRouterTest.sendFailsWhenDisconnected")
add_test(MessageRouterTest.sendFailsWhenPending "/Users/h/sdk-folder/sdk-build/ACL/test/MessageRouterTest" "--gtest_filter=MessageRouterTest.sendFailsWhenPending")
add_test(MessageRouterTest.sendMessageDoesNotSendAfterDisconnected "/Users/h/sdk-folder/sdk-build/ACL/test/MessageRouterTest" "--gtest_filter=MessageRouterTest.sendMessageDoesNotSendAfterDisconnected")
add_test(MessageRouterTest.disconnectDisconnectsConnectedTransports "/Users/h/sdk-folder/sdk-build/ACL/test/MessageRouterTest" "--gtest_filter=MessageRouterTest.disconnectDisconnectsConnectedTransports")
add_test(MessageRouterTest.serverSideDisconnectCreatesANewTransport "/Users/h/sdk-folder/sdk-build/ACL/test/MessageRouterTest" "--gtest_filter=MessageRouterTest.serverSideDisconnectCreatesANewTransport")
add_test(MessageRouterTest.onReceiveTest "/Users/h/sdk-folder/sdk-build/ACL/test/MessageRouterTest" "--gtest_filter=MessageRouterTest.onReceiveTest")
add_test(MessageRouterTest.onConnectionStatusChangedTest "/Users/h/sdk-folder/sdk-build/ACL/test/MessageRouterTest" "--gtest_filter=MessageRouterTest.onConnectionStatusChangedTest")
add_test(MimeParserFuzzTest.testRandomFeedAndReadSizesOfRandomData "/Users/h/sdk-folder/sdk-build/ACL/test/MimeParserFuzzTest" "--gtest_filter=MimeParserFuzzTest.testRandomFeedAndReadSizesOfRandomData")
add_test(MimeParserTest.testDirectiveReceivedSingleWrite "/Users/h/sdk-folder/sdk-build/ACL/test/MimeParserTest" "--gtest_filter=MimeParserTest.testDirectiveReceivedSingleWrite")
add_test(MimeParserTest.testDirectiveReceivedMultiWrite "/Users/h/sdk-folder/sdk-build/ACL/test/MimeParserTest" "--gtest_filter=MimeParserTest.testDirectiveReceivedMultiWrite")
add_test(MimeParserTest.testAttachmentReceivedSingleWrite "/Users/h/sdk-folder/sdk-build/ACL/test/MimeParserTest" "--gtest_filter=MimeParserTest.testAttachmentReceivedSingleWrite")
add_test(MimeParserTest.testAttachmentReceivedMultiWrite "/Users/h/sdk-folder/sdk-build/ACL/test/MimeParserTest" "--gtest_filter=MimeParserTest.testAttachmentReceivedMultiWrite")
add_test(MimeParserTest.testDirectiveAndAttachmentReceivedSingleWrite "/Users/h/sdk-folder/sdk-build/ACL/test/MimeParserTest" "--gtest_filter=MimeParserTest.testDirectiveAndAttachmentReceivedSingleWrite")
add_test(MimeParserTest.testDirectiveAndAttachmentReceivedMultiWrite "/Users/h/sdk-folder/sdk-build/ACL/test/MimeParserTest" "--gtest_filter=MimeParserTest.testDirectiveAndAttachmentReceivedMultiWrite")
add_test(MimeParserTest.testDuplicateBounaries "/Users/h/sdk-folder/sdk-build/ACL/test/MimeParserTest" "--gtest_filter=MimeParserTest.testDuplicateBounaries")
subdirs("Transport")
